// -------------------------------------------------------------------------------------------------
// xsBotonInterruptor.hpp
// -------------------------------------------------------------------------------------------------

// Inclusión de la librería
#include "xsEasyCpp.hpp"

#ifndef __xsBotonInterruptor_hpp__
#define __xsBotonInterruptor_hpp__

Clase xsBotonInterruptor : Publica xsObjeto
{
	Publica:

	    xsBotonInterruptor();

		Vacio crear(xsCadena etiqueta,
		            Logico   mnemonico);

	    xsBotonInterruptor(xsCadena etiqueta,
		                   Logico   mnemonico);
				
        Vacio eliminarRelieve();

		Vacio colocarRelieve();

		Vacio colocarImagen(xsCadena archivo);

        Vacio colocarImagen(xsCadena nombre, xsIconoTamanio tamanio);
        
		Vacio colocarBorde(Entero borde);

		Vacio colocarTexto(xsCadena texto);

		xsCadena obtenerTexto();

        Vacio colocarActivo(Logico activo);

        Logico obtenerActivo();
};

// Fin de la Definición del Archivo
#endif
